<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp,notranslate,noimageindex" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script type="text/javascript" src="{{ asset('js/jquery-3.6.1.min.js') }}"></script>
    {% block jsBaseSettings %}
    <script>
        var BaseSettings = {
            'countdownInSec': 60 * 5,
        };
    </script>
    {% endblock %}
    <script type="text/javascript" src="{{ asset('js/base.js') }}"></script>
    <title>{% block title %}Welcome!{% endblock %}</title>
</head>
<body>
<div class="wrapper">
    <div class="container">
        {% block menu %}
            <div class="h5 text-center pt-4">
                {% if is_granted('ROLE_ADMIN') %}
                    <a href="{{ path('app_history_index') }}">History</a>
                    |
                    <a href="{{ path('app_question_multiple_index') }}">Multiple Questions</a>
                    |
                    <a href="{{ path('app_question_binary_index') }}">Binary Questions</a>
                    |
                {% endif %}

                <a href="{{ path('app_answer_index') }}">Quiz</a> |

                <a href="{{ path('app_settings_index') }}">Mode</a> |

                {% if is_granted('ROLE_ADMIN') %}
                    <a href="{{ path('app_logout') }}">Logout</a>
                {% else %}
                    <a href="{{ path('app_login') }}">Login</a>
                {% endif %}
            </div>
        {% endblock %}
        {% block body %}{% endblock %}
    </div>
</div>
</body>
</html>
